---
updatedAt: 2025-05-22T20:27:08.000Z
agentTools:
  projectIndex: https://docs.klarda.com/llms.txt
---

# Get Token Technical Indicators

Get Token Technical Indicators by Id

## Definition

This endpoint retrieves technical indicators for a specified token over a specified duration, providing insights into its recent price movements and market trends. Users can customize the duration and token ID to access relevant data.

## Query Parameters

For guidance on how to leverage this method, check out the following tutorials:

1. **duration** (string): The duration for which technical indicators are calculated, such as '15M' for 15 minutes, '1H' for 1 hour, etc.
2. **token\_id** (string): The unique identifier of the token for which technical indicators are requested.

## Response

The response will include a JSON object containing technical indicators for the specified token over the specified duration. Typical indicators may include moving averages, relative strength index (RSI), and more.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "klarda-token-market-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.klarda.com/api/v1/market"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/token/technical-indicators": {
      "get": {
        "summary": "Get Token Technical Indicators",
        "description": "Get Token Technical Indicators by Id",
        "operationId": "get-token-technical-indicators",
        "parameters": [
          {
            "name": "duration",
            "in": "query",
            "description": "String - specify the duration for which you want the data to remain relevant or accessible. Can be one of the following: \"15M\", \"30M\", \"1H\", \"4H\", \"6H\", \"12H\", and \"1D\"",
            "required": true,
            "schema": {
              "type": "string",
              "default": "15M"
            }
          },
          {
            "name": "token_id",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"success\": true,\n  \"data\": {\n    \"details\": {\n      \"_id\": \"66455009479a2dc922b592ab\",\n      \"symbol\": \"BTC\",\n      \"moving_average_summary\": [\n        {\n          \"name\": \"Simple Moving Average (10)\",\n          \"value\": 62138.384999999995,\n          \"action\": 1\n        },\n        {\n          \"name\": \"Exponential Moving Average (10)\",\n          \"value\": 62658.59227272726,\n          \"action\": 1\n        },\n        {\n          \"name\": \"Simple Moving Average (20)\",\n          \"value\": 62248.52150000001,\n          \"action\": 1\n        },\n        {\n          \"name\": \"Exponential Moving Average (20)\",\n          \"value\": 62540.06383333334,\n          \"action\": 1\n        },\n        {\n          \"name\": \"Simple Moving Average (30)\",\n          \"value\": 62938.464000000014,\n          \"action\": 1\n        },\n        {\n          \"name\": \"Exponential Moving Average (30)\",\n          \"value\": 63056.42136559141,\n          \"action\": 1\n        },\n        {\n          \"name\": \"Simple Moving Average (50)\",\n          \"value\": 65257.06580000002,\n          \"action\": 1\n        },\n        {\n          \"name\": \"Exponential Moving Average (50)\",\n          \"value\": 65369.928513725514,\n          \"action\": 1\n        },\n        {\n          \"name\": \"Simple Moving Average (100)\",\n          \"value\": 62136.69619999999,\n          \"action\": 1\n        },\n        {\n          \"name\": \"Exponential Moving Average (100)\",\n          \"value\": 61982.308374257416,\n          \"action\": 1\n        },\n        {\n          \"name\": \"Simple Moving Average (120)\",\n          \"value\": 58766.95058333331,\n          \"action\": 1\n        },\n        {\n          \"name\": \"Exponential Moving Average (120)\",\n          \"value\": 58697.68042561981,\n          \"action\": 1\n        },\n        {\n          \"name\": \"Simple Moving Average (200)\",\n          \"value\": 51352.12009999997,\n          \"action\": 1\n        },\n        {\n          \"name\": \"Exponential Moving Average (200)\",\n          \"value\": 51339.297375124355,\n          \"action\": 1\n        },\n        {\n          \"name\": \"Volume Weighted Moving Average (20)\",\n          \"value\": 62549.70835912619,\n          \"action\": 1\n        }\n      ],\n      \"oscillators_summary\": [\n        {\n          \"name\": \"Relative Strength Index (14)\",\n          \"value\": 55.36,\n          \"action\": 2\n        },\n        {\n          \"name\": \"Stochastic %K (14,3,3)\",\n          \"value\": 96.13250770399074,\n          \"action\": 2\n        },\n        {\n          \"name\": \"Commodity Channel Index (20)\",\n          \"value\": 89.15233994542136,\n          \"action\": 2\n        },\n        {\n          \"name\": \"Average Directional Index (14)\",\n          \"value\": 10.425442976415207,\n          \"action\": 2\n        },\n        {\n          \"name\": \"Awesome Oscillator\",\n          \"value\": -1901.1893235294192,\n          \"action\": 0\n        },\n        {\n          \"name\": \"MACD Level (12,26)\",\n          \"value\": 1438.5688558142574,\n          \"action\": 0\n        },\n        {\n          \"name\": \"Stochastic RSI (14,3,3)\",\n          \"value\": 43.92180818570555,\n          \"action\": 2\n        },\n        {\n          \"name\": \"Williams Percent Range (14)\",\n          \"value\": -3.867492296009268,\n          \"action\": 0\n        }\n      ],\n      \"pivot_data\": [\n        {\n          \"name\": \"Classic\",\n          \"value\": {\n            \"p\": 64656.71,\n            \"s3\": 57744.56999999999,\n            \"s2\": 59532.02,\n            \"s1\": 62869.259999999995,\n            \"r1\": 67993.95,\n            \"r2\": 69781.4,\n            \"r3\": 73118.64\n          }\n        },\n        {\n          \"name\": \"Camarilla\",\n          \"value\": {\n            \"p\": 64656.71,\n            \"s3\": 64797.21025,\n            \"s2\": 65266.9735,\n            \"s1\": 65736.73675,\n            \"r1\": 66676.26325,\n            \"r2\": 67146.0265,\n            \"r3\": 67615.78975\n          }\n        },\n        {\n          \"name\": \"Denmark\",\n          \"value\": {\n            \"P\": 64656.71,\n            \"s3\": 0,\n            \"s2\": 0,\n            \"s1\": 62699.07842,\n            \"r1\": 66614.34158,\n            \"r2\": 0,\n            \"r3\": 0\n          }\n        },\n        {\n          \"name\": \"Fibonacci\",\n          \"value\": {\n            \"p\": 64656.71,\n            \"s3\": 59532.02,\n            \"s2\": 61489.65158,\n            \"s1\": 62699.07842,\n            \"r1\": 66614.34158,\n            \"r2\": 67823.76842000001,\n            \"r3\": 69781.4\n          }\n        },\n        {\n          \"name\": \"Woodies\",\n          \"value\": {\n            \"p\": 65044.1575,\n            \"s3\": 58519.465,\n            \"s2\": 59919.4675,\n            \"s1\": 63644.155,\n            \"r1\": 68768.845,\n            \"r2\": 70168.8475,\n            \"r3\": 73893.535\n          }\n        }\n      ],\n      \"score\": 8.333333333333334,\n      \"stored_time\": \"2024-05-16T00:00:00.000Z\",\n      \"expired_time\": \"2024-05-16T00:15:05.764Z\",\n      \"created_at\": \"2024-05-16T00:15:05.764Z\",\n      \"__v\": 0,\n      \"id\": \"66455009479a2dc922b592ab\",\n      \"moving_average_data\": [\n        {\n          \"name_ma\": \"MA10\",\n          \"value_simple\": 62138.384999999995,\n          \"action_simple\": 1,\n          \"value_exponential\": 62658.59227272726,\n          \"action_exponential\": 1\n        },\n        {\n          \"name_ma\": \"MA20\",\n          \"value_simple\": 62248.52150000001,\n          \"action_simple\": 1,\n          \"value_exponential\": 62540.06383333334,\n          \"action_exponential\": 1\n        },\n        {\n          \"name_ma\": \"MA30\",\n          \"value_simple\": 62938.464000000014,\n          \"action_simple\": 1,\n          \"value_exponential\": 63056.42136559141,\n          \"action_exponential\": 1\n        },\n        {\n          \"name_ma\": \"MA50\",\n          \"value_simple\": 65257.06580000002,\n          \"action_simple\": 1,\n          \"value_exponential\": 65369.928513725514,\n          \"action_exponential\": 1\n        },\n        {\n          \"name_ma\": \"MA100\",\n          \"value_simple\": 62136.69619999999,\n          \"action_simple\": 1,\n          \"value_exponential\": 61982.308374257416,\n          \"action_exponential\": 1\n        },\n        {\n          \"name_ma\": \"MA120\",\n          \"value_simple\": 58766.95058333331,\n          \"action_simple\": 1,\n          \"value_exponential\": 58697.68042561981,\n          \"action_exponential\": 1\n        },\n        {\n          \"name_ma\": \"MA200\",\n          \"value_simple\": 51352.12009999997,\n          \"action_simple\": 1,\n          \"value_exponential\": 51339.297375124355,\n          \"action_exponential\": 1\n        }\n      ]\n    },\n    \"status\": \"Buy\",\n    \"value\": 8.333333333333334,\n    \"statistics\": {\n      \"Buy\": 15,\n      \"Neutral\": 5,\n      \"Sell\": 3\n    },\n    \"text_summary\": [\n      {\n        \"name\": \"Moving Average\",\n        \"text\": [\n          \"Analyzing the 1D timeframe reveals promising bullish signals in BTC price, with the Moving Average 10 surpassing the current price, indicating potential upward momentum and favorable market opportunities.\",\n          \"In the 1D timeframe, the BTC price demonstrates strong bullish indications as the Moving Average 20 exceeds the current price, suggesting potential upward momentum and favorable market prospects.\",\n          \"When considering the 1D timeframe, it is evident that the BTC price exhibits encouraging bullish indications as the Moving Average 30 exceeds the current price, implying potential upward momentum and favorable market prospects.\",\n          \"When considering the 1D timeframe, it is evident that the BTC price exhibits encouraging bullish indications as the Moving Average 50 exceeds the current price, implying potential upward momentum and favorable market prospects.\",\n          \"In the 1D timeframe, the BTC price exhibits favorable bullish indications with the Moving Average 100 surpassing the current price, indicating potential upward momentum and opportunities for positive market movements.\",\n          \"In the 1D timeframe, the BTC price showcases promising bullish momentum as the Moving Average 120 exceeds the current price, suggesting potential upward movement and favorable market conditions.\",\n          \"In the 1D timeframe, the BTC price displays encouraging bullish signals with the Moving Average 200 surpassing the current price, indicating potential upward momentum and favorable market prospects.\"\n        ]\n      },\n      {\n        \"name\": \"Relative Strength Index (14)\",\n        \"text\": [\n          \"The Relative Strength Index (RSI) of BTC is currently in the neutral zone (30-70), indicating a balanced market sentiment and potential stability in price movements.\"\n        ]\n      },\n      {\n        \"name\": \"Commodity Channel Index (20)\",\n        \"text\": [\n          \"A bullish CCI signal is observed for BTC, indicating a potential upward trend and favorable market movements.\"\n        ]\n      },\n      {\n        \"name\": \"MACD Level (12,26)\",\n        \"text\": [\n          \"The MACD indicator for BTC is displaying a bullish signal, suggesting potential upward momentum and favorable market conditions.\"\n        ]\n      }\n    ]\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "details": {
                          "type": "object",
                          "properties": {
                            "_id": {
                              "type": "string",
                              "example": "66455009479a2dc922b592ab"
                            },
                            "symbol": {
                              "type": "string",
                              "example": "BTC"
                            },
                            "moving_average_summary": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "name": {
                                    "type": "string",
                                    "example": "Simple Moving Average (10)"
                                  },
                                  "value": {
                                    "type": "number",
                                    "example": 62138.384999999995,
                                    "default": 0
                                  },
                                  "action": {
                                    "type": "integer",
                                    "example": 1,
                                    "default": 0
                                  }
                                }
                              }
                            },
                            "oscillators_summary": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "name": {
                                    "type": "string",
                                    "example": "Relative Strength Index (14)"
                                  },
                                  "value": {
                                    "type": "number",
                                    "example": 55.36,
                                    "default": 0
                                  },
                                  "action": {
                                    "type": "integer",
                                    "example": 2,
                                    "default": 0
                                  }
                                }
                              }
                            },
                            "pivot_data": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "name": {
                                    "type": "string",
                                    "example": "Classic"
                                  },
                                  "value": {
                                    "type": "object",
                                    "properties": {
                                      "p": {
                                        "type": "number",
                                        "example": 64656.71,
                                        "default": 0
                                      },
                                      "s3": {
                                        "type": "number",
                                        "example": 57744.56999999999,
                                        "default": 0
                                      },
                                      "s2": {
                                        "type": "number",
                                        "example": 59532.02,
                                        "default": 0
                                      },
                                      "s1": {
                                        "type": "number",
                                        "example": 62869.259999999995,
                                        "default": 0
                                      },
                                      "r1": {
                                        "type": "number",
                                        "example": 67993.95,
                                        "default": 0
                                      },
                                      "r2": {
                                        "type": "number",
                                        "example": 69781.4,
                                        "default": 0
                                      },
                                      "r3": {
                                        "type": "number",
                                        "example": 73118.64,
                                        "default": 0
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            "score": {
                              "type": "number",
                              "example": 8.333333333333334,
                              "default": 0
                            },
                            "stored_time": {
                              "type": "string",
                              "example": "2024-05-16T00:00:00.000Z"
                            },
                            "expired_time": {
                              "type": "string",
                              "example": "2024-05-16T00:15:05.764Z"
                            },
                            "created_at": {
                              "type": "string",
                              "example": "2024-05-16T00:15:05.764Z"
                            },
                            "__v": {
                              "type": "integer",
                              "example": 0,
                              "default": 0
                            },
                            "id": {
                              "type": "string",
                              "example": "66455009479a2dc922b592ab"
                            },
                            "moving_average_data": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "name_ma": {
                                    "type": "string",
                                    "example": "MA10"
                                  },
                                  "value_simple": {
                                    "type": "number",
                                    "example": 62138.384999999995,
                                    "default": 0
                                  },
                                  "action_simple": {
                                    "type": "integer",
                                    "example": 1,
                                    "default": 0
                                  },
                                  "value_exponential": {
                                    "type": "number",
                                    "example": 62658.59227272726,
                                    "default": 0
                                  },
                                  "action_exponential": {
                                    "type": "integer",
                                    "example": 1,
                                    "default": 0
                                  }
                                }
                              }
                            }
                          }
                        },
                        "status": {
                          "type": "string",
                          "example": "Buy"
                        },
                        "value": {
                          "type": "number",
                          "example": 8.333333333333334,
                          "default": 0
                        },
                        "statistics": {
                          "type": "object",
                          "properties": {
                            "Buy": {
                              "type": "integer",
                              "example": 15,
                              "default": 0
                            },
                            "Neutral": {
                              "type": "integer",
                              "example": 5,
                              "default": 0
                            },
                            "Sell": {
                              "type": "integer",
                              "example": 3,
                              "default": 0
                            }
                          }
                        },
                        "text_summary": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "name": {
                                "type": "string",
                                "example": "Moving Average"
                              },
                              "text": {
                                "type": "array",
                                "items": {
                                  "type": "string",
                                  "example": "Analyzing the 1D timeframe reveals promising bullish signals in BTC price, with the Moving Average 10 surpassing the current price, indicating potential upward momentum and favorable market opportunities."
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 400,\n  \"message\": \"Wrong api_key, please check!\",\n  \"error\": \"Bad Request\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Wrong api_key, please check!"
                    },
                    "error": {
                      "type": "string",
                      "example": "Bad Request"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 401,\n  \"message\": \"Unauthorized\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 401,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Unauthorized"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "500",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 500,\n  \"message\": \"Internal server error\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 500,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Internal server error"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```